import { axios } from '@/utils/request'

//  连锁调拨调出 列表  分页
export const allocLinkageOutList = (params) => {
  const url = `/allocLinkageOut/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  连锁调拨调出   保存
export const allocLinkageOutSave = (params) => {
  return axios({
    url: '/allocLinkageOut/save',
    data: params,
    method: 'post'
  })
}
//  连锁调拨调出 详情 列表  分页
export const allocLinkageOutDetailList = (params) => {
  const url = `/allocLinkageOut/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  连锁调拨调出 详情  根据sn查
export const allocLinkageOutDetailSn = (params) => {
  return axios({
    url: `/allocLinkageOut/findBySn/${params.sn}`,
    method: 'get'
  })
}
//  连锁调拨调出   调往对象
export const getTenantList = (params) => {
  return axios({
    url: '/allocLinkageOut/getTenantList',
    method: 'get'
  })
}
